Bug 1027011 - libserf has a broken dep for libgssapi
libserf has a broken dep for libgssapi
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libserf (Show other bugs)
20
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 16:34 EST by Brent Baude
Modified: 2013-12-13 22:07 EST (History)
2 users (show)

See Also:
Fixed In Version: libserf-1.3.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 22:07:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent Baude 2013-11-05 16:34:08 EST
the libserf spec still deps libgssapi.  In fedora git, libgssapi is dead, but points to libgssglue, which is dead, that points to krb5-devel.

Can we dep that for libserf and alter the configure portion of the spec?
Comment 2 Christopher Meng 2013-11-06 10:19:47 EST
(In reply to Joe Orton from comment #1)
> Commit:
> http://pkgs.fedoraproject.org/gitweb/?p=libserf.git;a=commitdiff;
> h=64cc84f15f132b143a0858a6de629b955673fc1b
> Package: libserf-1.3.2-1.fc21
> Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=476463

Thanks! Last time I checked this package is 1.3.0, they just switched to scon which is totally a crap to handle with.

BTW it's useful to also update this package on f20 as this bug is related to f20.(Sorry I don't have computer access now.)
Comment 3 Fedora Update System 2013-11-22 03:24:33 EST
libserf-1.3.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libserf-1.3.2-1.fc20
Comment 4 Christopher Meng 2013-11-22 03:47:26 EST
Since you reported this bug against f20, I'll build 1.3.2 to f20 to solve the problem, and it seems f20 is still new to users, I intend to update libserf to the latest version so it will make developers'life easier. 

But now as subversion also depends on this library, Joe, would you mind rebuilding svn again? 

Sorry for the inconvenience. 

PS if you insist on keeping 1.2 in f20 until EOL, please tell me.
Comment 5 Joe Orton 2013-11-22 04:11:53 EST
Having 1.3 in f20 should be fine AFAIK, and it should not require an SVN rebuild.
Comment 6 Fedora Update System 2013-11-23 22:55:09 EST
Package libserf-1.3.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libserf-1.3.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22032/libserf-1.3.2-1.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-12-13 22:07:21 EST
libserf-1.3.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.